haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.CtoHaskellMap

Description

Construct a map from C identifiers to the corresponding Haskell elements in the bindings.

Synopsis

- cToHaskellMap :: [(Name, API)] -> Map CRef Hyperlink
- data Hyperlink
  - = ValueIdentifier Text
  - | TypeIdentifier Text
  - | ModuleLink Text
  - | ModuleLinkWithAnchor (Maybe Text) Text Text

# Documentation

cToHaskellMap :: [(Name, API)] -> Map CRef Hyperlink Source #

Given a set of APIs, build a `Map` that given a Text corresponding to a certain C identifier returns the corresponding Haskell element in the bindings. For instance, `gtk_widget_show` will get mapped to `show`.

data Hyperlink Source #

Link to an identifier, module, etc.

Constructors

ValueIdentifier Text | An identifier at the value level: functions, data constructors, ...
TypeIdentifier Text | An identifier at the type level.
ModuleLink Text | Link to a module.
ModuleLinkWithAnchor (Maybe Text) Text Text | Link to an anchor inside a given module, with an optional label.

#### Instances

Instances details

Show Hyperlink Source # |
Instance details Defined in Data.GI.CodeGen.CtoHaskellMap Methods showsPrec :: Int -> Hyperlink -> ShowS Source # show :: Hyperlink -> String Source # showList :: [Hyperlink] -> ShowS Source #
Eq Hyperlink Source # |
Instance details Defined in Data.GI.CodeGen.CtoHaskellMap Methods (==) :: Hyperlink -> Hyperlink -> Bool Source # (/=) :: Hyperlink -> Hyperlink -> Bool Source #